<?php 
session_start();
include_once '../conexao/index.php';

/*Variaveis do Sistema*/
/*********************************************/
$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$valor = $_POST['valor'];
$id = $_POST['id'];
$status = 'Aberto';

$sqlView = "SELECT stock FROM produto WHERE nomeproduto = (SELECT artigo FROM pos_mesas_temp_artigos WHERE id = '$id')";
$rsView = mysqli_query($db, $sqlView);
$dados = mysqli_fetch_assoc($rsView);
$stock = $dados['stock'];
if ($valor>$stock) {
	echo 2;
}else{
	$sqlBox = "SELECT diaperiodo FROM periodo WHERE diaperiodo = '$status' AND usuario = '$userID'";
	$rsBox = mysqli_query($db, $sqlBox);
	if (mysqli_num_rows($rsBox) > 0) {
		$sql = "UPDATE pos_mesas_temp_artigos SET qtd = $valor, total = qtd * preco  WHERE id = '$id' AND user = '$userID'";
			$rs = mysqli_query($db, $sql);
	}else{
		echo "Ocorreu algum erro na consulta a base de dados";
	}
}

